org.apache.hadoop.hdfs.qjournal.protocol

## Interface QJournalProtocolProtos.PersistedRecoveryPaxosDataOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    QJournalProtocolProtos.PersistedRecoveryPaxosData, QJournalProtocolProtos.PersistedRecoveryPaxosData.Builder
  Enclosing class:
    QJournalProtocolProtos

      public static interface QJournalProtocolProtos.PersistedRecoveryPaxosDataOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAcceptedInEpoch()` `required uint64 acceptedInEpoch = 2;`
    `QJournalProtocolProtos.SegmentStateProto` | `getSegmentState()` `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    `QJournalProtocolProtos.SegmentStateProtoOrBuilder` | `getSegmentStateOrBuilder()` `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    `boolean` | `hasAcceptedInEpoch()` `required uint64 acceptedInEpoch = 2;`
    `boolean` | `hasSegmentState()` `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasSegmentState

          boolean hasSegmentState()

      `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`

    - #### getSegmentState

          QJournalProtocolProtos.SegmentStateProto getSegmentState()

      `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`

    - #### getSegmentStateOrBuilder

          QJournalProtocolProtos.SegmentStateProtoOrBuilder getSegmentStateOrBuilder()

      `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`

    - #### hasAcceptedInEpoch

          boolean hasAcceptedInEpoch()

      `required uint64 acceptedInEpoch = 2;`

    - #### getAcceptedInEpoch

          long getAcceptedInEpoch()

      `required uint64 acceptedInEpoch = 2;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.